%define _disable_ld_no_undefined 1

%define major	6
%define major_h	3
%define major_s	3
%define libname	%mklibname %{name} %{major}
%define libhist	%mklibname %{name}hist %{major_h}
%define libsto	%mklibname storage %{major_s}
%define devname	%mklibname %{name} -d

Summary:	The InterNetNews (INN) system, a Usenet news server
Name:		inn
Version:	2.6.3
Release:	%mkrel 7
License:	GPLv2+
Group:		System/Servers
URL:		https://www.isc.org/downloads/projects/
Source0:	ftp://ftp.isc.org/isc/inn/inn-%{version}.tar.gz
Source2:	inn-default-distributions
Source10:	http://www.eyrie.org/~eagle/faqs/inn.html
Source11:	inn-tmpfiles.conf
Source20:	innd.service
Source21:	innd-expire.service
Source22:	innd-expire.timer
Source23:	innd-nntpsend.service
Source24:	innd-nntpsend.timer
Source25:	innd-rnews.service
Source26:	innd-rnews.timer
Patch1:		inn-2.6.0-rh.patch
Patch6:		inn-2.5.2.posix.patch
Patch7:		inn-2.4.3.warn.patch
Patch14:	inn-redhat_build.patch
Patch17:	inn-2.5.2-pconf.patch
Patch18:	inn-2.6.1-parallel-buildfix.patch
BuildRequires:	bison
BuildRequires:	db-devel
BuildRequires:	e2fsprogs-devel
BuildRequires:	flex
BuildRequires:	pkgconfig(openssl) >= 1.1
BuildRequires:	perl-devel
BuildRequires:	pkgconfig(krb5)
BuildRequires:	pam-devel
# "fix" local builds:
BuildConflicts:	gdbm-devel
Requires(pre):	chkconfig grep coreutils sed rpm-helper
Requires:	cleanfeed
Requires:	sendmail-command
Requires(post): systemd >= %{systemd_required_version}

%global __requires_exclude perl\\(bigint.pl\\)|perl\\(ftp.pl\\)

%description
INN (InterNetNews) is a complete system for serving Usenet news and/or
private newsfeeds.  INN includes innd, an NNTP (NetNews Transport
Protocol) server, and nnrpd, a newsreader that is spawned for each
client.  Both innd and nnrpd vary slightly from the NNTP protocol, but
not in ways that are easily noticed.

Install the inn package if you need a complete system for serving and
reading Usenet news.  You may also need to install inn-devel, if you
are going to use a separate program which interfaces to INN, like
newsgate or tin.

%package -n	%{libname}
Summary:	Runtime Library needed by %{name}
Group:		System/Libraries

%description -n	%{libname}
Runtime librairy for %{name}.

%package -n	%{libhist}
Summary:	Runtime Library needed by %{name}
Group:		System/Libraries

%description -n	%{libhist}
Runtime librairy for %{name}.

%package -n	%{libsto}
Summary:	Runtime Library needed by %{name}
Group:		System/Libraries

%description -n	%{libsto}
Runtime librairy for %{name}.

%package -n	%{devname}
Summary:	Developements headers for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libhist} = %{version}-%{release}
Requires:	%{libsto} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	inn-devel

%description -n	%{devname}
Headers files to build packages against %{name}.

%package -n	inews
Summary:	Sends Usenet articles to a local news server for distribution
Group:		System/Servers
Conflicts:	noffle

%description -n	inews
The inews program is used by some news programs (for example, inn and
trn) to post Usenet news articles to local news servers.  Inews reads
an article from a file or standard input, adds headers, performs some
consistency checks and then sends the article to the local news server
specified in the inn.conf file.

Install inews if you need a program for posting Usenet articles to
local news servers.

%prep
%setup -q
%autopatch -p 1

%build
%serverbuild

%configure \
	--sysconfdir=%{_sysconfdir}/news \
	--bindir=%{_libexecdir}/news \
	--exec-prefix=%{_libexecdir}/news \
	--with-log-dir=/var/log/news --with-spool-dir=/var/spool/news\
	--with-tmp-dir=%{_sharedstatedir}/news/tmp \
	--with-db-dir=/var/lib/news --with-run-dir=/run/news \
	--with-perl --enable-shared --disable-static \
	--enable-tagged-hash \
	--with-libperl-dir=%{perl_vendorlib} \
	--with-news-user=news --with-news-group=news \
	--with-news-master=news \
	--with-openssl \
	--with-sendmail=/usr/sbin/sendmail \
	--with-http-dir=%{_sharedstatedir}/news/http \
	--with-pic

%__make

%install
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_sharedstatedir}/news/http
# make_install forces to use /usr/bin/install but inn needs to use its own supporting an extra -B option
%make_build DESTDIR=%{buildroot} install

# -- Install man pages needed by suck et al.
mkdir -p %{buildroot}%{_includedir}/inn
for f in clibrary.h config.h
do
    install -p -m 0644 ./include/$f %{buildroot}%{_includedir}/inn
done
for f in defines.h system.h libinn.h storage.h options.h dbz.h
do
    install -p -m 0644 ./include/inn/$f %{buildroot}%{_includedir}/inn
done

touch %{buildroot}%{_sharedstatedir}/news/history
touch %{buildroot}%{_sharedstatedir}/news/subscriptions
chmod 644 %{buildroot}%{_sharedstatedir}/news/subscriptions

install -m 644 %{SOURCE2} %{buildroot}%{_sharedstatedir}/news/distributions

mkdir -p %{buildroot}%{_unitdir}
install -p -m 0644 %{SOURCE20} %{buildroot}%{_unitdir}
install -p -m 0644 %{SOURCE21} %{buildroot}%{_unitdir}
install -p -m 0644 %{SOURCE22} %{buildroot}%{_unitdir}
install -p -m 0644 %{SOURCE23} %{buildroot}%{_unitdir}
install -p -m 0644 %{SOURCE24} %{buildroot}%{_unitdir}
install -p -m 0644 %{SOURCE25} %{buildroot}%{_unitdir}
install -p -m 0644 %{SOURCE26} %{buildroot}%{_unitdir}

cp -p %{SOURCE10} FAQ.html

cat > %{buildroot}%{_sysconfdir}/news/.profile <<EOF
PATH=/bin:%{_bindir}:%{_libexecdir}/news
export PATH
EOF

#Fix perms in sample directory to avoid bogus dependencies
find samples -name "*.in" -exec chmod a-x {} \;

# we get this from cleanfeed
rm -f %{buildroot}%{_libexecdir}/news/filter/filter_innd.pl

mkdir -p %{buildroot}%{_bindir}
ln -sf %{_libexecdir}/news/inews %{buildroot}%{_bindir}/inews
ln -sf %{_libexecdir}/news/rnews %{buildroot}%{_bindir}/rnews

# fix debuginfo extraction, permissions are set in files section, anyway
chmod u+w %{buildroot}%{_libdir}/lib{inn{,hist},storage}.so.*
pushd %{buildroot}%{_libexecdir}/news
chmod u+w \
          actsync \
          archive \
          auth/passwd/{auth_krb5,ckpasswd,radius} \
          auth/resolv/{domain,ident} \
          batcher \
          {buff,file,over}chan \
          buffindexed_d \
          convdate \
          ctlinnd \
          cvtbatch \
          expire{,over} \
          fastrm \
          getlist \
          {grep,make,prune}history \
          imapfeed \
          inews \
          inn{bind,confval,d,df,feed,xbatch,xmit} \
          makedbz \
          ninpaths \
          nnrpd \
          nntpget \
          ovdb_{init,monitor,server,stat} \
          rnews{,.libexec/{de,en}code} \
          shlock \
          shrinkfile \
          sm \
          tdx-util \
          tinyleaf
popd

# (sb) doc install conflicts with rpm %%doc, even when config is setup
# correctly. Just rm these files and let %%doc take care of it
rm -fr %{buildroot}/%{_usr}/doc

# Remove unwanted files
rm -rf %{buildroot}%{_libdir}/*.la
rm -rf %{buildroot}%{_libdir}/*.a

install -D -p -m 0644 %{SOURCE11} %{buildroot}%{_tmpfilesdir}/%{name}.conf

# (tv) fix build:
chmod u+rx %{buildroot}/var/lib/news/http

%pre
%_pre_useradd news /etc/news %{_sbindir}/nologin

%pre -n inews
%_pre_useradd news /etc/news %{_sbindir}/nologin

%post
%_tmpfilescreate %{name}
%_post_service innd

runuser -u news -g news touch \
    var/log/news/news.notice \
    var/log/news/news.err \
    var/log/news/news.crit \
    var/log/news/news \
    var/log/news/inn.status \
    var/log/news/innfeed.status
if test -e usr/lib/news/bin/control/version -o -e usr/lib/news/bin/inndstart ; then
    rm -f etc/news/inn.conf.OLD
    rm -f etc/news/newsfeeds.OLD
    usr/lib/news/bin/innupgrade etc/news
fi
if ! test -d /var/run/news ; then
    install -d -m 750 -o news -g news /var/run/news
fi

chown -R news:news /var/log/news*

if [ `hostname -f` ]; then
  if [ `cat /etc/news/inn.conf | grep '^server:' | wc -l` -lt 1 ]; then
    echo "server: `hostname -f`" >> /etc/news/inn.conf
  fi

  if [ -f /var/lib/news/history ]; then
        cd /var/lib/news
	%{_bindir}/makedbz -s `wc -l <history` -f history
        for i in dir hash index pag; do
                [ -f history.n.$i ] && mv history.n.$i history.$i
        done
        chown news:news history.*
        chmod 644 history.*
  else
        cd /var/lib/news
        cp /dev/null history
        %{_bindir}/makehistory 
	%{_bindir}/makedbz -s `wc -l <history` -f history
        for i in dir hash index pag; do
                [ -f history.n.$i ] && mv history.n.$i history.$i
        done
        chown news:news history history.*
        chmod 644 history history.*
  fi
else
  echo "Network misconfigured, manual setup required..."
fi

%preun
%_preun_service innd

if [ $1 = 0 ]; then
    if [ -f /var/lib/news/history.dir ]; then
       rm -f /var/lib/news/history.*
    fi
fi

%postun
if [ "$1" -ge "1" ]; then
    service innd restart > /dev/null 2>&1
fi

%files
%doc NEWS README* HACKING ChangeLog CONTRIBUTORS LICENSE INSTALL FAQ.html
%doc doc/config-design doc/history-innfeed doc/GPL doc/sample-control
%doc doc/config-semantics doc/external-auth TODO doc/hook-python doc/config-syntax
%doc doc/hook-perl doc/history
%doc samples

%defattr(-,root,root)
%{_unitdir}/innd.service
%{_unitdir}/innd-expire.service
%{_unitdir}/innd-expire.timer
%{_unitdir}/innd-nntpsend.service
%{_unitdir}/innd-nntpsend.timer
%{_unitdir}/innd-rnews.service
%{_unitdir}/innd-rnews.timer
%{_tmpfilesdir}/%{name}.conf

%defattr(-,news,news)
%dir %{_sysconfdir}/news
%config(noreplace) %{_sysconfdir}/news/passwd.nntp
%config(noreplace) %{_sysconfdir}/news/send-uucp.cf
%config(noreplace) %{_sysconfdir}/news/actsync.cfg
%config(noreplace) %{_sysconfdir}/news/motd.innd.sample
%config(noreplace) %{_sysconfdir}/news/motd.nnrpd.sample
%config(noreplace) %{_sysconfdir}/news/expire.ctl
%config(noreplace) %{_sysconfdir}/news/actsync.ign
%config(noreplace) %{_sysconfdir}/news/innreport.conf
%config(noreplace) %{_sysconfdir}/news/distrib.pats
%config(noreplace) %{_sysconfdir}/news/buffindexed.conf
%config(noreplace) %{_sysconfdir}/news/innwatch.ctl
%config(noreplace) %{_sysconfdir}/news/nntpsend.ctl
%config(noreplace) %{_sysconfdir}/news/innfeed.conf
%config(noreplace) %{_sysconfdir}/news/nnrpd.track
%config(noreplace) %{_sysconfdir}/news/control.ctl.local
%config(noreplace) %{_sysconfdir}/news/storage.conf
%config(noreplace) %{_sysconfdir}/news/moderators
%config(noreplace) %{_sysconfdir}/news/news2mail.cf
%config(noreplace) %{_sysconfdir}/news/cycbuff.conf
%config(noreplace) %{_sysconfdir}/news/subscriptions
%config(noreplace) %{_sysconfdir}/news/control.ctl
%config(noreplace) %{_sysconfdir}/news/localgroups
%config(noreplace) %{_sysconfdir}/news/.profile
%config(noreplace) %{_sysconfdir}/news/nocem.ctl
%config(noreplace) %{_sysconfdir}/news/incoming.conf
%config(noreplace) %{_sysconfdir}/news/inn-radius.conf
%config(noreplace) %{_sysconfdir}/news/ovdb.conf
%config(noreplace) %{_sysconfdir}/news/newsfeeds
%config(noreplace) %{_sysconfdir}/news/readers.conf
%config(noreplace) %{_sysconfdir}/news/distributions

%dir %{_sharedstatedir}/news
%config(noreplace) %{_sharedstatedir}/news/active
%config(noreplace) %{_sharedstatedir}/news/active.times
%config(noreplace) %{_sharedstatedir}/news/subscriptions
%config(noreplace) %{_sharedstatedir}/news/history
%config(noreplace) %{_sharedstatedir}/news/distributions
%config(noreplace) %{_sharedstatedir}/news/newsgroups

%config(noreplace) %{_sysconfdir}/news/innshellvars.pl.local
%config(noreplace) %{_sysconfdir}/news/innshellvars.local
%config(noreplace) %{_sysconfdir}/news/innshellvars.tcl.local

%defattr(0755,root,news)
%{_bindir}/rnews
%dir %{_libexecdir}/news
%{_libexecdir}/news/controlbatch
%attr(4510,root,news) %{_libexecdir}/news/innbind
%{_libexecdir}/news/docheckgroups
%{_libexecdir}/news/imapfeed
%{_libexecdir}/news/send-nntp
%{_libexecdir}/news/actmerge
%{_libexecdir}/news/ovdb_server
%{_libexecdir}/news/filechan
%{_libexecdir}/news/ninpaths
%{_libexecdir}/news/mod-active
%{_libexecdir}/news/news2mail
%{_libexecdir}/news/innconfval
%{_libexecdir}/news/shlock
%{_libexecdir}/news/nnrpd
%{_libexecdir}/news/controlchan
%{_libexecdir}/news/procbatch
%{_libexecdir}/news/expire
%{_libexecdir}/news/convdate
%{_libexecdir}/news/pullnews
%{_libexecdir}/news/archive
%{_libexecdir}/news/cnfsstat
%{_libexecdir}/news/grephistory
%{_libexecdir}/news/send-ihave
%{_libexecdir}/news/tinyleaf
%{_libexecdir}/news/cvtbatch
%{_libexecdir}/news/expirerm
%{_libexecdir}/news/rc.news
%attr(4550,uucp,news) %{_libexecdir}/news/rnews
%{_libexecdir}/news/innxmit
%{_libexecdir}/news/actsyncd
%{_libexecdir}/news/shrinkfile
%{_libexecdir}/news/makedbz
%{_libexecdir}/news/actsync
%{_libexecdir}/news/pgpverify
%{_libexecdir}/news/inndf
%{_libexecdir}/news/scanlogs
%{_libexecdir}/news/simpleftp
%{_libexecdir}/news/ovdb_init
%{_libexecdir}/news/ctlinnd
%{_libexecdir}/news/innstat
%{_libexecdir}/news/send-uucp
%{_libexecdir}/news/buffchan
%{_libexecdir}/news/perl-nocem
%{_libexecdir}/news/scanspool
%{_libexecdir}/news/expireover
%{_libexecdir}/news/batcher
%{_libexecdir}/news/fastrm
%{_libexecdir}/news/innmail
%{_libexecdir}/news/innxbatch
%{_libexecdir}/news/buffindexed_d
%{_libexecdir}/news/nntpget
%{_libexecdir}/news/cnfsheadconf
%{_libexecdir}/news/ovdb_stat
%{_libexecdir}/news/prunehistory
%{_libexecdir}/news/innreport
%attr(0644,root,news) %{_libexecdir}/news/innreport_inn.pm
%{_libexecdir}/news/getlist
%{_libexecdir}/news/innd
%{_libexecdir}/news/innupgrade
%{_libexecdir}/news/news.daily
%{_libexecdir}/news/sm
%{_libexecdir}/news/innwatch
%{_libexecdir}/news/inncheck
%{_libexecdir}/news/writelog
%{_libexecdir}/news/signcontrol
%{_libexecdir}/news/tdx-util
%{_libexecdir}/news/tally.control
%{_libexecdir}/news/overchan
%{_libexecdir}/news/sendinpaths
%{_libexecdir}/news/makehistory
%{_libexecdir}/news/nntpsend
%{_libexecdir}/news/mailpost
%{_libexecdir}/news/innfeed
%{_libexecdir}/news/ovdb_monitor
%{_libexecdir}/news/sendxbatches

%define filterdir %{_libexecdir}/news/filter
%dir %{filterdir}
%{filterdir}/filter_nnrpd.pl
%{filterdir}/nnrpd_access.pl
%{filterdir}/startup_innd.pl
%{filterdir}/nnrpd_auth.py*
%{filterdir}/nnrpd_access.py*
%{filterdir}/nnrpd_auth.pl
%{filterdir}/INN.py*
%{filterdir}/nnrpd.py*
%{filterdir}/filter_innd.py*
%{filterdir}/nnrpd_dynamic.py*
%{filterdir}/__pycache__/

%define authdir %{_libexecdir}/news/auth
%dir %{authdir}

%define passwddir %{authdir}/passwd
%dir %{passwddir}
%{passwddir}/auth_krb5
%{passwddir}/ckpasswd
%{passwddir}/radius

%define resolvdir %{authdir}/resolv
%dir %{resolvdir}
%{resolvdir}/domain
%{resolvdir}/ident

%define controldir %{_libexecdir}/news/control
%dir %{controldir}
%{controldir}/version.pl
%{controldir}/ihave.pl
%{controldir}/sendsys.pl
%{controldir}/sendme.pl
%{controldir}/checkgroups.pl
%{controldir}/senduuname.pl
%{controldir}/newgroup.pl
%{controldir}/rmgroup.pl

%define rnewsdir %{_libexecdir}/news/rnews.libexec
%dir %{rnewsdir}
%{rnewsdir}/encode
%{rnewsdir}/gunbatch
%{rnewsdir}/decode
%{rnewsdir}/bunbatch
%{rnewsdir}/c7unbatch

%{_libexecdir}/news/innshellvars.pl
%{_libexecdir}/news/innshellvars
%{_libexecdir}/news/innshellvars.tcl

%attr(0775,root,news) %dir %{_sharedstatedir}/news/http
%{_sharedstatedir}/news/http/innreport.css

%{perl_vendorlib}/INN

%defattr(-,news,news)
%dir /var/spool/news
%dir /var/spool/news/archive
%dir /var/spool/news/articles
%dir /var/spool/news/incoming
%dir /var/spool/news/incoming/bad
%dir /var/spool/news/innfeed
%dir /var/spool/news/outgoing
%dir /var/spool/news/overview
%dir /var/log/news
%dir /var/log/news/OLD
%dir /var/lib/news/tmp
%ghost %dir /run/news

%{_mandir}/man1/*
%exclude %{_mandir}/man1/inews.1*
%{_mandir}/man5/*
%{_mandir}/man8/*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{libhist}
%{_libdir}/lib%{name}hist.so.%{major_h}{,.*}

%files -n %{libsto}
%{_libdir}/libstorage.so.%{major_s}{,.*}

%files -n %{devname}
%{_includedir}/inn
%{_mandir}/man3/*
%{_libdir}/*.so

%files -n inews
%config(noreplace) %attr(-,news,news) %{_sysconfdir}/news/inn.conf
%{_bindir}/inews
%attr(0755,root,root) %{_libexecdir}/news/inews
%{_mandir}/man1/inews.1*


%changelog
* Sun Dec 27 2020 neoclust <neoclust> 2.6.3-7.mga8
+ Revision: 1664228
- Sync with OS changes regarding CVE-2019-3692 (mga#26226)

* Thu Dec 17 2020 tv <tv> 2.6.3-6.mga8
+ Revision: 1660452
- drop BR on libnsl now that perl has been fixed regarding new glibc

* Thu Dec 17 2020 tv <tv> 2.6.3-5.mga8
+ Revision: 1660140
- BR pkgconfig(libnsl)

* Wed Jun 17 2020 umeabot <umeabot> 2.6.3-4.mga8
+ Revision: 1594216
- Rebuild for perl 5.32

* Fri Apr 17 2020 pterjan <pterjan> 2.6.3-3.mga8
+ Revision: 1567937
- Fix build broken by the switch to make_install
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 2.6.3-2.mga8
+ Revision: 1433974
- rebuild for perl 5.30

* Sun Apr 14 2019 daviddavid <daviddavid> 2.6.3-1.mga7
+ Revision: 1389966
- new version: 2.6.3
- now libmajor is 6
- fix libification splitting out two libraries in their own sub-pkg

* Sun Sep 23 2018 umeabot <umeabot> 2.6.2-4.mga7
+ Revision: 1298300
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 daviddavid <daviddavid> 2.6.2-3.mga7
+ Revision: 1248487
- rebuild for new perl 5.28.0

* Sun Jul 29 2018 wally <wally> 2.6.2-2.mga7
+ Revision: 1245740
- create news system user
- fix inews binary permissions

* Wed Mar 21 2018 kekepower <kekepower> 2.6.2-1.mga7
+ Revision: 1210891
- Update to version 2.6.2

* Sat Sep 09 2017 guillomovitch <guillomovitch> 2.6.1-5.mga7
+ Revision: 1152212
- kill obsolete conflict tag
- new version 2.6.1
- large spec cleanup
+ cjw <cjw>
- patch18: remove empty build action that breaks parallel builds
+ pterjan <pterjan>
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 2.5.3-23.mga7
+ Revision: 1126450
- Rebuild against new Perl 5.26

* Tue Jan 31 2017 shlomif <shlomif> 2.5.3-22.mga6
+ Revision: 1084434
- Rebuild for the new perl

* Thu May 12 2016 tv <tv> 2.5.3-21.mga6
+ Revision: 1014192
- adjust file list
- fix build
- rebuild for perl-5.22

* Wed Mar 02 2016 umeabot <umeabot> 2.5.3-19.mga6
+ Revision: 983518
- Rebuild for openssl

* Mon Dec 28 2015 daviddavid <daviddavid> 2.5.3-18.mga6
+ Revision: 916342
- rebuild for new perl 5.22.1

* Fri Jun 26 2015 sander85 <sander85> 2.5.3-17.mga6
+ Revision: 844210
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 2.5.3-16.mga5
+ Revision: 742699
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.5.3-15.mga5
+ Revision: 730852
- rebuild for new perl

* Tue Sep 16 2014 umeabot <umeabot> 2.5.3-14.mga5
+ Revision: 680518
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Wed Jun 04 2014 fwang <fwang> 2.5.3-13.mga5
+ Revision: 632727
- rebuild for new perl

* Sat Oct 19 2013 umeabot <umeabot> 2.5.3-12.mga5
+ Revision: 532862
- Mageia 4 Mass Rebuild

* Fri Aug 23 2013 fwang <fwang> 2.5.3-11.mga4
+ Revision: 469964
- rebuild for new perl

* Sun Jun 23 2013 remmy <remmy> 2.5.3-10.mga4
+ Revision: 445931
- Change permissions on /var/spool/news directories (#MGA7876);
- Suppress superfluouos warning messages from cron jobs;
- Suppress perl warning when running inncheck;
- Apply upstream fix which caused a build failure with recent pod2man versions.

* Sat Jun 01 2013 sander85 <sander85> 2.5.3-9.mga4
+ Revision: 434039
- Fix build with current pod2man (patch from Fedora)
+ fwang <fwang>
- rebuild for new perl

* Sun Mar 24 2013 colin <colin> 2.5.3-8.mga3
+ Revision: 405136
- Use tmpfiles macros and add system version to requires (mga#9302)

* Mon Mar 18 2013 fwang <fwang> 2.5.3-7.1.mga3
+ Revision: 403719
- rebuild for new perl
+ jquelin <jquelin>
- perl 5.14.4 rebuild
- perl 5.14.4 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.5.3-4.1.mga3
+ Revision: 378547
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 remmy <remmy> 2.5.3-3.mga3
+ Revision: 336051
- Various changes:
- Provide native systemd .service file;
- Fix file permissions (which prevented innd from starting);
- Change the location of the shell variables file used by inn scripts to
  reflect the actual location of this file.

* Wed Nov 07 2012 fwang <fwang> 2.5.3-2.mga3
+ Revision: 315700
- rebuild for new perl

* Wed Oct 03 2012 oden <oden> 2.5.3-1.mga3
+ Revision: 302552
- added two bison/flex fixes from fedora
- trying single make
- 2.5.3
- sync patches with fedora
- fix the file lists

* Fri Aug 31 2012 fwang <fwang> 2.5.2-9.mga3
+ Revision: 285958
- rebuild for new perl

* Tue Jul 31 2012 fwang <fwang> 2.5.2-8.mga3
+ Revision: 276318
- rebuild for db-5.3

* Fri Jul 27 2012 fwang <fwang> 2.5.2-7.mga3
+ Revision: 274721
- br system db libmajor

* Thu May 31 2012 fwang <fwang> 2.5.2-6.mga3
+ Revision: 251950
- rebuild for new perl

* Tue Oct 18 2011 dmorgan <dmorgan> 2.5.2-5.mga2
+ Revision: 156018
- perl 5.14.2 rebuild

* Sun Jun 19 2011 jquelin <jquelin> 2.5.2-4.mga2
+ Revision: 109907
- perl 5.14.1 rebuild

* Sun Jun 19 2011 tmb <tmb> 2.5.2-3.mga2
+ Revision: 109866
- rebuild for perl-5.14.1

* Sun Jun 12 2011 sander85 <sander85> 2.5.2-2.mga2
+ Revision: 105397
- Rebuild for perl 5.14

* Sat Feb 26 2011 boklm <boklm> 2.5.2-1.mga1
+ Revision: 60963
- remove unneeded patch inn-2.4.1.posix.patch
- version 2.5.2
- imported package inn


* Mon Nov 08 2010 Funda Wang <fwang@mandriva.org> 2.5.1-8mdv2011.0
+ Revision: 594980
- rebuild for new perl

* Fri Jul 30 2010 Sandro Cazzaniga <kharec@mandriva.org> 2.5.1-7mdv2011.0
+ Revision: 563299
- rebuild

* Fri Jul 23 2010 Sandro Cazzaniga <kharec@mandriva.org> 2.5.1-6mdv2011.0
+ Revision: 557115
- rebuild

* Fri Jul 23 2010 Funda Wang <fwang@mandriva.org> 2.5.1-5mdv2011.0
+ Revision: 557108
- rebuild for perl 5.12

* Tue Jun 01 2010 Michael Scherer <misc@mandriva.org> 2.5.1-4mdv2010.1
+ Revision: 546817
- fix inn not starting due to wrong path in config file

* Wed Apr 07 2010 Funda Wang <fwang@mandriva.org> 2.5.1-3mdv2010.1
+ Revision: 532518
- rebuild

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 2.5.1-2mdv2010.1
+ Revision: 511576
- rebuilt against openssl-0.9.8m

* Thu Jan 14 2010 Emmanuel Andry <eandry@mandriva.org> 2.5.1-1mdv2010.1
+ Revision: 491530
- New version 2.5.1
- sync with fedora patches
- drop p6 and p7 (now useless)
- enable ipv6
- update files list

* Fri Jan 01 2010 Oden Eriksson <oeriksson@mandriva.com> 2.4.6-3mdv2010.1
+ Revision: 484724
- rebuilt against bdb 4.8

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.4.6-2mdv2010.0
+ Revision: 425337
- rebuild

* Mon Mar 16 2009 Frederik Himpe <fhimpe@mandriva.org> 2.4.6-1mdv2009.1
+ Revision: 356256
- update to new version 2.4.6

* Wed Dec 17 2008 Oden Eriksson <oeriksson@mandriva.com> 2.4.5-2mdv2009.1
+ Revision: 315233
- rediffed fuzzy patches
- added P7 to fix build with -Werror=format-security

* Wed Oct 15 2008 Oden Eriksson <oeriksson@mandriva.com> 2.4.5-1mdv2009.1
+ Revision: 293900
- try to fix build
- 2.4.5

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 2.4.4-1mdv2009.0
+ Revision: 264710
- rebuild early 2009.0 package (before pixel changes)

* Tue May 20 2008 Oden Eriksson <oeriksson@mandriva.com> 2.4.4-0mdv2009.0
+ Revision: 209584
- 2.4.4
- build it against db4.6-devel

* Fri Feb 01 2008 Funda Wang <fwang@mandriva.org> 2.4.3-9mdv2008.1
+ Revision: 161204
- rebuild for new perl

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Sep 04 2007 Oden Eriksson <oeriksson@mandriva.com> 2.4.3-7mdv2008.0
+ Revision: 79277
- sync with inn-2.4.3-6.fc6.src.rpm
- make it build
- conform to the 2008 specs

  + Thierry Vignaud <tv@mandriva.org>
    - kill file require on chkconfig


* Sun Dec 31 2006 Crispin Boylan <crisb@mandriva.org> 2.4.3-6mdv2007.0
+ Revision: 102944
- Fix db4 patch
- Import inn

  + Stew Benedict <sbenedict@mandriva.com>
    - fix %%configure, drop buildconflicts
    - add the patch
    - don't require db2 (#27857, Cris B)

* Thu Sep 07 2006 Stew Benedict <sbenedict@mandriva.com> 2.4.3-5mdv2007.0
- conflicts with jabber2

* Tue Jul 11 2006 Stew Benedict <sbenedict@mandriva.com> 2.4.3-4mdv2007.0
- requires sendmail-command (#10294, QA)

* Tue Jul 04 2006 Stew Benedict <sbenedict@mandriva.com> 2.4.3-3mdv2007.0
- drop forced db1 linkage (#23450, Cris B)

* Sat Apr 15 2006 Stew Benedict <sbenedict@mandriva.com> 2.4.3-2mdk
- fix group for inn-devel

* Fri Mar 31 2006 Stew Benedict <sbenedict@mandriva.com> 2.4.3-1mdk
- 2.4.3: replace P1 with a buildrequires/compile define, redo P3
- include files don't need to be executable

* Wed Feb 15 2006 Stew Benedict <sbenedict@mandriva.com> 2.4.2-9mdk
- parallel init, Requires(pre)

* Fri Jan 20 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.4.2-8mdk
- rebuild for new perl

* Fri Nov 18 2005 Oden Eriksson <oeriksson@mandriva.com> 2.4.2-7mdk
- rebuilt against openssl-0.9.8a

* Thu Jul 28 2005 Stew Benedict <sbenedict@mandriva.com> 2.4.2-6mdk
- try to catch broken network config and skip %%post activities (#17070)

* Tue Jun 14 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.4.2-5mdk
- Rebuild for libkrb53-devel 1.4.1

* Sat May 21 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.4.2-4mdk
- Rebuild for new libperl.so

* Sat Apr 23 2005 Stew Benedict <sbenedict@mandrakesoft.com> 2.4.2-3mdk
- Re-fix uucp issue (Bugzilla #15037)

* Thu Apr 07 2005 Stew Benedict <sbenedict@mandrakesoft.com> 2.4.2-2mdk
- Fix uucp issue (Bugzilla #15037)

* Sat Jan 29 2005 Stew Benedict <sbenedict@mandrakesoft.com> 2.4.2-1mdk
- 2.4.2, redo patch2,3

* Thu Dec 30 2004 Stefan van der Eijk <stefan@mandrake.org> 2.4.1-7mdk
- BuildRequires: byacc --> bison

* Tue Dec 21 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.4.1-6mdk
- rebuild for new perl

* Thu Jul 08 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.4.1-5mdk
- rebuild for new perl, relax binary perms so strip works

* Wed Jun 09 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.4.1-4mdk
- fix buildrequires

* Wed Apr 07 2004 Michael Scherer <misc@mandrake.org> 2.4.1-3mdk 
- rebuild for new perl

* Wed Jan 21 2004 Pixel <pixel@mandrakesoft.com> 2.4.1-2mdk
- rebuild for new perl

* Thu Jan 08 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.4.1-1mdk
- 2.4.1, rework patch 2,3

